On Sat, Aug 12, 2017 at 11:43:58PM -0400, Jeremy Bicha wrote:
>...
> The package does build successfully without the libwebkitgtk-dev
> build-dependency.

But the resulting library will still dynamically load it.

> It feels to me like the libswt-webkit-gtk-3-jni was already broken
> since it doesn't have a dependency on any webkitgtk library

The missing dependency sounds like a bug.

> (I think
> the correct one would be libwebkitgtk-3.0-0 but that is still part of
> the deprecated libraries which are being removed.)

It does use libwebkitgtk-1.0-0:
https://sources.debian.net/src/swt-gtk/3.8.2-4/webkitgtk.h/

I just tried, and it does work when libwebkitgtk-1.0-0 is installed  
(and fails without).

>...
> On behalf of the Debian WebKit Maintainers,
> Jeremy Bicha

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to